<template>
  <div class="tutorBoxChild">
    <div>{{ this.tutor.lastName }}&nbsp;</div>
    <div>{{ this.tutor.firstName }}&nbsp;</div>
    <div>{{ this.tutor.patronymic }}</div>
    <div class="buttonBox">
      <button class="deleteButton" @click="this.delete">X</button>
    </div>
  </div>
</template>
<script>
import axios from "axios";

export default {
  name: "TutorItem",
  props: ["tutor"],
  data() {
    return {
      url: String(process.env.VUE_APP_API_URL)
    }
  },
  methods: {
    async delete() {
      axios
        .delete(this.url + "tutor?id=" + this.tutor.tutorId)
        .then(() => this.$emit("onDelete"));
    },
  },
};
</script>

<style scoped>
.tutorBoxChild {
  background-color: lightgreen;
  display: flex;
  min-height: 25px;
  padding: 10px;
  margin: 15px;
  border-radius: 10px;
  transition-property: width;
  transition-duration: 150ms;
  position: relative;
}

.deleteButton {
  background: red;
  border-radius: 5px;
  color: white;
  position: absolute;
  right: 15px;
}
</style>
